summaryrefslogtreecommitdiff
path: root/tests/tstunt/gpg
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2018-06-30 10:21:32 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2018-06-30 10:54:53 +0100
commit690272dfb77eefa9277970dafe4bbb47de3b35e1 (patch)
tree641af3cf4ace1dfe9f798a52f0d8953c2bedf8e6 /tests/tstunt/gpg
parent38eae0db7f393311667bec9dfe0aa7a514b893bd (diff)
test suite: gpg agent workaround: Neaten the logging.debian/5.5+exp8archive/debian/5.5+exp8
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests/tstunt/gpg')
-rwxr-xr-xtests/tstunt/gpg14
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/tstunt/gpg b/tests/tstunt/gpg
index 79d8319..7e12846 100755
--- a/tests/tstunt/gpg
+++ b/tests/tstunt/gpg
@@ -3,4 +3,18 @@ set -e
exec \
with-lock-ex -w "$DGIT_TEST_GNUPG_GLOBAL_LOCK" \
+ sh -c '
+ "$@" 9>&2 2>>"$DGIT_TEST_GNUPG_LOG"
+ rc=$?
+ if [ rc = 0 ]; then exit 0; fi
+ if [ "x$DGIT_TEST_BYHAND" != x ]; then
+ echo >&2 "BYHAND, not catting $DGIT_TEST_GNUPG_LOG"
+ else
+ echo >&2 "########################################"
+ echo >&2 "$DGIT_TEST_GNUPG_LOG"
+ cat >&2 "$DGIT_TEST_GNUPG_LOG"
+ echo >&2 "end of $DGIT_TEST_GNUPG_LOG"
+ fi
+ exit $rc
+ ' x \
"$DGIT_TEST_TROOT"/tstunt/gpg-withagent "$@"